Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class GetRecordsResultDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcwebservices.csw.discovery.GetRecordsResultDocument

All Implemented Interfaces:
  Serializable

    public class GetRecordsResultDocument

extends XMLFragment

Represents an XML GetRecordsResponse document of an OGC CSW 2.0 compliant service.

The <GetRecordsResponse> element is a container for the response of the GetRecords operation. Three levels of detail may be contained in the response document.

- The <RequestId> element may be used to correlate the response to a GetRecords request for which a value was defined for the requestId attribute.
- <SearchStatus> element must be present and indicates the status of the response. The status attribute is used to indicate the completion status of the GetRecords operation. Table 65 shows the possible values for the status attribute.
- The <SearchResults> element is a generic XML container for the actual response to a GetRecords request. The content of the <SearchResults> element is the set of records returned by the GetRecords operation. The actual records returned by the catalogue should substitute for the element <csw:AbstractRecord>.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`GetRecordsResultDocument()`
`GetRecordsResultDocument(String version)`

Method Summary
`void` | `createEmptyDocument()` creates an emtpy document as defined by the template
`GetRecordsResult` | `parseGetRecordsResponse(GetRecords request)` Extracts a `GetRecordsResult` representation of this object.

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetRecordsResultDocument

    public GetRecordsResultDocument()

### GetRecordsResultDocument

    public GetRecordsResultDocument(String version)

Parameters:
  `version` -

Method Detail

### parseGetRecordsResponse

    public GetRecordsResult parseGetRecordsResponse(GetRecords request)
                                             throws MissingParameterValueException,
                                                    InvalidParameterValueException,
                                                    OGCWebServiceException

  Extracts a `GetRecordsResult` representation of this object.

  Parameters:
    `request` -
  Returns:
    the actual GetRecordResult as a bean.
  Throws:
    `MissingParameterValueException`
    `InvalidParameterValueException`
    `OGCWebServiceException`

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  creates an emtpy document as defined by the template

  Throws:
    `IOException` - if the template could not be found
    `SAXException` - if an error occurs while creating the rootnode.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org